Προς το περιεχόμενο
  • Εγγραφή

Λίστα προγραμμάτων για Linux


fotisman

Προτεινόμενες αναρτήσεις

  • Απαντήσεις 2,2k
  • Δημιουργία
  • Τελευταία απάντηση

Συχνή συμμετοχή στο θέμα

Συχνή συμμετοχή στο θέμα

Δημοφιλή Μηνύματα

Calibre 5 σημερα με αυτο εδω στο changelog Βρε πως αλλαζουν οι καιροι... Λιγα χρονια πριν, οταν ο ιδιος dev ρωτηθηκε για την αλλαγη σε python3 ειπε οτι δεν θα το κανει και οτι εινια απολυτα ικα

Ένας πλήρης επεξεργαστής υπότιτλων γραμμένος σε bash. Επεξεργάζεται όλα τα αρχεία srt με οποιαδήποτε κωδικοποίηση και οποιαδήποτε line endings (ακόμα και μικτά). Εκτελεί όλες τις βασικές λειτουργίες ό

System Tar Restore - Feature-rich Backup Script for Linux   Τι μ@λ@κιες πανε και βγαζουνε, tar rsync και ιστοριες...  

Δημοσιευμένες Εικόνες

Καπου σε αυτο τον κοσμο, καποιος εκανε fork το mediatomb, το οποιο εχει πεθανει εδω και κατι χρονια, και συνεχιζει να το αναπτυσει με το ονομα gerbera. Και εγω το πηρα γραμμη 6 μηνες μετα την 1η stable release του! Better late than never που λενε και στο χωριο μου :P

 

 https://github.com/gerbera/gerbera

  • Like 1
Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
  • 2 εβδομάδες αργότερα...

Καποιος στο github φτιαχνει ενα εναλλακτικο του popcorntime σε qt5, το οποιο δουλευει με direct links απ οτι βλεπω

 

https://github.com/keshavbhatt/series-ninja

 

και ενα frontend για το youtube-dl, επισης σε qt5

 

https://github.com/keshavbhatt/Ktube-media-downloader

 

Αν κανεις καταφερει να τα δουλεψει, ας μας πει εντυπωσεις γιατι εδω δεν μου τρεχει κανενα απο τα 2, παρολο που μπαινουν κανονικα.

  • Like 1
Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

@jim_p

 

Με το πρωτο δεν ασχοληθηκα..μονο με το snap πακετο μπορω να δουλεψω και βαριεμαι να στηνω snap ιστοριες τωρα.

 

Το δευτερο που εχει appimage ηταν πιο προσιτο αλλα η αληθεια ειναι οτι δεν ετρεξε..

 

(Το συστημα ειναι archlinux kde)

 

Oταν τρεχω το appimage (αφου το εκανα executable) παιρνω το παρακατω :

 

 

 

$ ./Ktube_Media_Downloader-x86_64.AppImage 
This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: xcb.

Reinstalling the application may fix this problem.
Aborted (core dumped)

 

 

 

Μιας και ειναι kde εγκατασταση , προφανως υπαρχει qt5 εγκατεστημενο

$ pacman -Ss qt5-base
extra/qt5-base 5.9.3-1 (qt qt5) [installed]
    A cross-platform application and UI framework

προφανως το plugin υπαρχει

$ ls -l /usr/lib/qt/plugins/platforms/libqxcb.so 
-rwxr-xr-x 1 root root 10056 Νοέ  22 13:34 /usr/lib/qt/plugins/platforms/libqxcb.so

και προφανως δεν του λειπει τιποτα

 

 

 

$ ldd ./libqxcb.so
        linux-vdso.so.1 (0x00007fffc5d59000)
        libQt5XcbQpa.so.5 => /usr/lib/libQt5XcbQpa.so.5 (0x00007f9678d1a000)
        libQt5Gui.so.5 => /usr/lib/libQt5Gui.so.5 (0x00007f96785aa000)
        libQt5Core.so.5 => /usr/lib/libQt5Core.so.5 (0x00007f9677eb8000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f9677b31000)
        libc.so.6 => /usr/lib/libc.so.6 (0x00007f9677779000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00007f967745a000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007f9677215000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007f9676f4f000)
        libQt5DBus.so.5 => /usr/lib/libQt5DBus.so.5 (0x00007f9676cc5000)
        libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007f9676aa7000)
        libX11-xcb.so.1 => /usr/lib/libX11-xcb.so.1 (0x00007f96768a5000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f9676566000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0x00007f9676355000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0x00007f967614d000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0x00007f9675f30000)
        libxcb-xkb.so.1 => /usr/lib/libxcb-xkb.so.1 (0x00007f9675d13000)
        libxcb-render-util.so.0 => /usr/lib/libxcb-render-util.so.0 (0x00007f9675b0f000)
        libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0x00007f9675901000)
        libxcb-sync.so.1 => /usr/lib/libxcb-sync.so.1 (0x00007f96756fa000)
        libxcb-xfixes.so.0 => /usr/lib/libxcb-xfixes.so.0 (0x00007f96754f2000)
        libxcb-xinerama.so.0 => /usr/lib/libxcb-xinerama.so.0 (0x00007f96752ef000)
        libxcb-randr.so.0 => /usr/lib/libxcb-randr.so.0 (0x00007f96750df000)
        libxcb-image.so.0 => /usr/lib/libxcb-image.so.0 (0x00007f9674eda000)
        libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0x00007f9674cd6000)
        libxcb-keysyms.so.1 => /usr/lib/libxcb-keysyms.so.1 (0x00007f9674ad3000)
        libxcb-icccm.so.4 => /usr/lib/libxcb-icccm.so.4 (0x00007f96748ce000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007f96746a5000)
        libxcb-shape.so.0 => /usr/lib/libxcb-shape.so.0 (0x00007f96744a1000)
        libxkbcommon.so.0 => /usr/lib/libxkbcommon.so.0 (0x00007f9674261000)
        libxkbcommon-x11.so.0 => /usr/lib/libxkbcommon-x11.so.0 (0x00007f9674059000)
        libm.so.6 => /usr/lib/libm.so.6 (0x00007f9673d0d000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007f9673af6000)
        libGL.so.1 => /usr/lib/libGL.so.1 (0x00007f967386b000)
        libpng16.so.16 => /usr/lib/libpng16.so.16 (0x00007f9673635000)
        libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0x00007f9673397000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00007f9673180000)
        libsystemd.so.0 => /usr/lib/libsystemd.so.0 (0x00007f9672f01000)
        libicui18n.so.60 => /usr/lib/libicui18n.so.60 (0x00007f9672a5e000)
        libicuuc.so.60 => /usr/lib/libicuuc.so.60 (0x00007f96726a5000)
        libpcre2-16.so.0 => /usr/lib/libpcre2-16.so.0 (0x00007f967242d000)
        libdouble-conversion.so.1 => /usr/lib/libdouble-conversion.so.1 (0x00007f967221d000)
        libdl.so.2 => /usr/lib/libdl.so.2 (0x00007f9672019000)
        /usr/lib64/ld-linux-x86-64.so.2 (0x00007f967921e000)
        libpcre.so.1 => /usr/lib/libpcre.so.1 (0x00007f9671da6000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007f9671b74000)
        libbz2.so.1.0 => /usr/lib/libbz2.so.1.0 (0x00007f9671964000)
        libdbus-1.so.3 => /usr/lib/libdbus-1.so.3 (0x00007f9671713000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x00007f9671501000)
        libuuid.so.1 => /usr/lib/libuuid.so.1 (0x00007f96712fa000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f96710f6000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f9670ef0000)
        libxcb-util.so.1 => /usr/lib/libxcb-util.so.1 (0x00007f9670cea000)
        libGLX.so.0 => /usr/lib/libGLX.so.0 (0x00007f9670ab9000)
        libGLdispatch.so.0 => /usr/lib/libGLdispatch.so.0 (0x00007f9670803000)
        libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0x00007f96705d7000)
        libgcrypt.so.20 => /usr/lib/libgcrypt.so.20 (0x00007f96702bb000)
        librt.so.1 => /usr/lib/librt.so.1 (0x00007f96700b3000)
        liblzma.so.5 => /usr/lib/liblzma.so.5 (0x00007f966fe8d000)
        liblz4.so.1 => /usr/lib/liblz4.so.1 (0x00007f966fc78000)
        libicudata.so.60 => /usr/lib/libicudata.so.60 (0x00007f966e0e3000)
        libgpg-error.so.0 => /usr/lib/libgpg-error.so.0 (0x00007f966dece000)

 

 

 

Αρα ισως εχει κανει καμμια μαλακια ο τυπος στο appimage?Μηπως θελει εγκατασταση και οχι απλα εκτελεση?

Μηπως πρεπει εμεις με καποιον τροπο να το κατευθυνουμε να βρει το plugin ?

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Δεν ξερω. Εμενα ειναι σαν να μην εχει καν το εκτελεσιμο μεσα στο /opt/blablabla, μιας και στο /usr/bin δεν το εχει βαλει ο τυπος και στα 2 πακετα.

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

@jim_p

 

Στο appimage , οδηγουμαι στο συμπερασμα οτι εκανε μαλακια στο πακεταρισμα...διοτι αν τρεξω το παρακατω ..

$ QT_DEBUG_PLUGINS=1 ./Ktube_Media_Downloader-x86_64.AppImage 
QFactoryLoader::QFactoryLoader() checking directory path "/tmp/.mount_kY3Yvb/plugins/platforms" ...
QFactoryLoader::QFactoryLoader() looking at "/tmp/.mount_kY3Yvb/plugins/platforms/libqxcb.so"

Ψαχνει τα plugins στο /tmp.

Αποσυμπιεσα το appimage , ειχε μαζι του καποιες libs/plugins με το σχετικο conf να δειχνει σε αυτα και οχι στου συστηματος..ακυρο και απο κει..δεν του αρεσε η εκδοση μου (5.9.3) (ασχετως που το conf ελεγε να κοιταξει στις τοπικες/δικες του lib/plugins καποιες τις εψαχνε και στο συστημα) ...

 

Kαι αν ισχυουν αυτα που λες στα δικα σου πακετα..γενικως σε ολα τα πακεταρισματα τα σκατωσε :)

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)

Teamviewer 13 απο σημερα, σε native λινουξοεφαρμογη, χωρις τη σαπιλα του wine, γραμμενη σε qt5 και σε 32αρα και 64αρα εκδοση

https://www.phoronix.com/scan.php?page=news_item&px=TeamViewer-13-For-Linux

 

---edit

Να προσθεσω πως τρεχει και ενα teamviewerd (καποιος daemon λογικα) σε καθε login εκκινηση. Αν βρει καποιος πως κλεινει...

 

---ξαναedit

Το βρηκα. Ειναι service για το systemd, κλεινει κανονικα με ενα "systemctl stop teamviewerd", αλλα οταν ειναι κλειστο, το teamviewer (η εφαρμογη) δεν παιρνει id και κωδικο και λεει κατω αριστερα check your connection, οποτε αχρηστευεται εντελως χωρις το service. Παρολα αυτα, ανοιγει κανονικα, χωρις κανενα σφαλμα

$ teamviewer
Init...
CheckCPU: SSE2 support: yes
Checking setup...
Launching TeamViewer ...
Starting network process (no daemon)
Network process already started (or error)
Launching TeamViewer GUI ...

Με βλεπω να το βγαζω πριν το μεσημερι...

 

Το anydesk τουλαχιστον δεν απαιτει καποιον daemon να τρεχει απο πισω για να δουλεψει. 

 

---ξαναedit

Και το repo που βαζει για να παιρνει ενημερωσεις φαινεται να εχει καποιο θεμα. Βγαζει αυτα στο apt-get update

 

W: Skipping acquire of configured file 'main/i18n/Translation-en_US' as repository 'http://linux.teamviewer.com/deb stable InRelease' doesn't have the component 'main' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'main/i18n/Translation-en' as repository 'http://linux.teamviewer.com/deb stable InRelease' doesn't have the component 'main' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'main/i18n/Translation-en_US' as repository 'http://linux.teamviewer.com/deb preview InRelease' doesn't have the component 'main' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'main/i18n/Translation-en' as repository 'http://linux.teamviewer.com/deb preview InRelease' doesn't have the component 'main' (component misspelt in sources.list?)

Μπουλο!

post-124002-0-67303300-1512456330_thumb.png

Επεξ/σία από jim_p
  • Like 1
Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Οι προηγουμενες εκδοσεις δεν ηταν καν native λινουξοεφαρμογες, γιαυτο δεν ειχα ασχοληθει. Σημερα που βγηκε native εφαρμογη ασχοληθηκα και απογοητευτικα.

Και ας πουμε οτι δεχομαι πως θελει daemon για να δουλεψει, οταν το anydesk δεν θελει, και θα τον ξεκιναω εγω οταν το χρειαζομαι. Με το θεμα που εχει το apt τι να κανω? Προβλημα απο την μερια τους ειναι.

Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Δεν θα το ελεγα. Ειναι σημεια που το anydesk απλα με εκνευριζει. Εκτος αυτου, ο περισσοτερος κοσμος εχει teamviewer και ξερει να το χρησιμοποιει, οποτε εινια κατι σαν στανταρ οπως ειναι πχ το skype. Επισης εχει και εφαρμογη για support στο κινητο (δηλαδη να συνδεθω ΣΤΟ κινητο) για να δειξω κατι που δεν το βρισκει καποιος αρχαριος. 

 

Τελος μονο 3 απο οσα ατομα ξερω εχουν anydesk, και αυτοι οι 3 το βαλανε μονο για μενα.

  • Like 1
Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Δημιουργήστε ένα λογαριασμό ή συνδεθείτε για να σχολιάσετε

Πρέπει να είστε μέλος για να αφήσετε σχόλιο

Δημιουργία λογαριασμού

Εγγραφείτε με νέο λογαριασμό στην κοινότητα μας. Είναι πανεύκολο!

Εγγραφείτε για έναν νέο λογαριασμό

Σύνδεση

Έχετε ήδη λογαριασμό; Συνδεθείτε εδώ.

Συνδεθείτε τώρα

  • Δημιουργία νέου...

Με την περιήγησή σας στο insomnia.gr, αποδέχεστε τη χρήση cookies που ενισχύουν σημαντικά την εμπειρία χρήσης.